#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
using namespace std;
int main()
{
    int n;
    int *a=(int*)malloc(n*sizeof(int));
    scanf("%d",&n);
    for(int i=0;i<n;i++)
    {
        int x;
        scanf("%d",&x);
        a[i]=x;
    }
    
    int i;
    
    for(i=0;i<n;i++)
    {
        int* k=max_element(a+i+1,a+n);
        if(a[i]<*k)
        {
            int t=a[i];
            a[i]=*k;
            *k=t;
            i=n+1;
        }
    }
    if(i==n)
    {
        int t=a[n-1];
        a[n-1]=a[n-2];
        a[n-2]=t;
    }
    
    for(int i=0;i<n;i++)
        printf("%d ",a[i]);
    return 0;
}